@echo off
cls
rem  Example batch file to automate the rendering process.
rem  
rem  If the background image does not exist, the test image
rem  is rendered and execution  will pause to allow
rem  background image creation. If it does exist, test image
rem  rendering is skipped.

echo.
echo Top Gerbers:
fpcpoly N2 Dtop_copper.grb Dinner_copper_1.grb Doutline_poly.gbr o0.07,-0.13 doutline_poly.gbr
if errorlevel 1 goto error

rem if the background already exists, skip the test.png render and pause
if not exist Background.png goto dotest

echo.
echo *** The file Background.png already exists, skipping background creation. ***
echo.
goto rendr

:dotest
echo.
echo No background found, rendering test.png:
echo.
pcb-render test.pcbjob -o test.png
if errorlevel 1 goto error

echo.
echo Examine test.png to determine image size, create 
echo the background image and when it is saved as 
echo Background.png ...
echo.
pause

:rendr
echo.
echo Rendering top_view.png:
echo.
pcb-render board_top.pcbjob -o top_view.png
if errorlevel 1 goto error

echo.
echo Saving the top drop shadow Gerber as top_shadow.gbr
echo.
if exist top_shadow.gbr del top_shadow.gbr
ren outline_poly_drilledOf1.gbr top_shadow.gbr

echo.
echo Bottom Gerbers:
fpcpoly N2 Dbottom_copper.grb Dinner_copper_2.grb o-0.07,-.13 Doutline_poly.gbr
if errorlevel 1 goto error

echo.
echo Rendering bottom_view.png:
echo.
pcb-render board_bottom.pcbjob -o bottom_view.png
if errorlevel 1 goto error

echo.
echo Rendering complete
goto exit

:error
echo.
echo *** An error was found, processing terminated! ***
echo.

:exit
echo on
